/*
 *
 * Gallery actions
 *
 */

import * as types from './constants';

export function uploadAsset(file, assetType, fileParams) {
  return {
    type: types.UPLOAD_ASSET_REQUEST,
    file,
    assetType,
    fileParams,
  };
}

export function getAllAssets(assetType, queryParams) {
  return {
    type: types.GET_ALL_ASSETS_REQUEST,
    assetType,
    queryParams,
  };
}
export function deleteAssetById(assetId, assetType) {
  return {
    type: types.DELETE_ASSET_REQUEST,
    assetId,
    assetType,
  };
}

export function getUserList() {
  return {
    type: types.GET_USER_LIST_REQUEST,
  };
}
